spec_version = "1.0.0"
canonical_name = "atoms.convergent-systems.co/catalogs/prompt-atoms"
version = "0.1.0"
atom_type = "atoms.convergent-systems.co/catalogs"
authored_by = "ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y="
created_at = "2026-05-22T03:40:32.832Z"

[signatures]
"ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y=" = "5GC+/0s5vQfg0KwwucT2Qld+BeIbsd7DTx+WaZ/UZDxfu2JYV/ZRM5SCpBXZ88UwsFb7iwjpcLVGmHxtfyjwBQ=="

[body]
atom_types = ["persona", "constraint", "format-instruction", "tool-use-template", "refusal-pattern", "output-schema"]
canonical_domain = "prompt-atoms.com"
catalog_name = "prompt-atoms"
catalog_version = "0.1.0"
composition_dir = "prompts"
composition_type = "prompts"
federation = "xdao.co"
github_url = "https://github.com/convergent-systems-co/prompt-atoms"
implements_spec = "atoms-spec/v1"
license = "Apache-2.0"
pages_url = "https://prompt-atoms.pages.dev"
purpose = "Prompt engineering as a canonical, machine-readable, versioned library — replacing closed vendor libraries and scattered cookbooks with typed personas, constraints, formats, tool-use templates, refusal patterns, and output schemas."
rule_types = ["model-compatibility", "token-length-constraint", "format-compatibility"]
runtime_consumers = ["aish", "olympus"]
